<?php
/*--------------------------------------------------------------*\
	Description: Simple message board.
	Author: Brian Lozier (brian@massassi.net)
\*--------------------------------------------------------------*/

// Database configuration
$DB['host'] = 'localhost';
$DB['user'] = '';
$DB['pass'] = '';
$DB['name'] = '';

// Preferences
$table = 'bBoard';
$base_path = '/home/brian/public_html/bTemplate/board/templates/';
$title = 'bTemplate Message Board [bBoard 0.1]';
$copyright = '&copy; Copyright 2002 Brian Lozier';
$show_timer = FALSE;

// Timer
if($show_timer) {
	require_once('../classes/Timer.php');
	$t = new Timer();
	$t->start();
}

// Classes
require_once('bTemplate.php');
require_once('Database.php');
require_once('bBoard.php');

// Instantiate the objects
$db = new Database($DB['host'], $DB['user'], $DB['pass'], $DB['name']);
$b = new bBoard($db, $table);
$tpl = new bTemplate($base_path);

// What do do?
switch($_REQUEST['function']) {
	case 'view':
		$thread = $b->get_thread($_GET['m_id']);
		$tpl->set('subject', $thread[0]['m_subject']);
		$tpl->set('m_id', $_GET['m_id']);
		$tpl->set('thread', $thread);
		$tpl->set('content', $tpl->fetch('thread.tpl'));
		break;
	case 'post':
		// Add the message
		if($b->add_message($_POST['user'], $_POST['text'], $_POST['m_id'], $_POST['email'], $_POST['subject'])) {
			$tpl->set('message', 'The message has been added.');
		}
		else {
			$tpl->set('message', 'There was an error with your post.');
		}
		$tpl->set('content', $tpl->fetch('post.tpl'));
		break;
	case 'thread':
		// Add the thread
		if($b->add_thread($_POST['user'], $_POST['text'], $_POST['email'], $_POST['subject'])) {
			$tpl->set('message', 'The thread has been added.');
		}
		else {
			$tpl->set('message', 'There was an error with your thread.');
		}
		$tpl->set('content', $tpl->fetch('post.tpl'));

		break;
	default:
		$tpl->set('list', $b->get_list());
		$tpl->set('content', $tpl->fetch('list.tpl'));
}

// Template variables
$tpl->set('title', $title);
$tpl->set('copyright', $copyright);

// Check for gzip compression
if(strstr($_SERVER['HTTP_ACCEPT_ENCODING'], 'gzip')) {
	header('Content-Encoding: gzip');
	echo gzencode($tpl->fetch('index.tpl'));
}
else {
	// Display the page
	echo $tpl->fetch('index.tpl');
}

// Timer
if($show_timer) {
	$t->finish();
	echo 'This page was generated in ' . $t->getTime() . ' seconds.';
}

?>
